---
title: Manage deferred transactions
url: amazon-pay-checkout/v1-deferred-transactions.html
---

You can choose to defer authorizing or capturing payment until after checkout. For example, you might choose to only authorize payment after a back-ordered item becomes available (deferred authorization), or capture payment after an order is shipped (deferred capture).

* TOC
{:toc}
{::options toc_levels="3" /}

***

### Deferred authorizations

Prerequisite: You must have a `ChargePermissionId` for a Charge Permission in the Chargeable state. A Charge Permission is created at the end of a successful checkout after the buyer has returned to the `checkoutResultReturnUrl`.

[Create Charge](../amazon-pay-api-v2/v1-charge.html) to authorize a payment. You can specify whether or not you want to capture payment in the same transaction. If the request fails, you should reengage the buyer and ask them to go through checkout again.

#### Request

```
curl "https://pay-api.amazon.com/:environment/:version/charges/" \
-X POST
-H "x-amz-pay-idempotency-key: AVLo5tI10BHgEk2jEXAMPLEKEY"
-H "x-amz-pay-authorization: Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"
-d @request_body
```

#### Request body

```
{
    "chargePermissionId": "P21-1111111-1111111",
    "chargeAmount": {
        "amount": "14.00",
        "currencyCode": "USD"
    },
    "captureNow": true, // default is false
    "softDescriptor": "Descriptor",
    "canHandlePendingAuthorization": false //default is false
}
```


#### Request parameters

<table width="100%" border="1">
    <tbody>
        <tr id='BJJ9CARCWLm'>
            <td id='s:BJJ9CARCWLm;BJJ9CACqXAb' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Name
                <br /></td>
            <td id='s:BJJ9CARCWLm;BJJ9CAvV4ia' style='vertical-align: top; font-weight: bold; width: 20%;' class='bold'>Location
                <br /></td>
            <td id='s:BJJ9CARCWLm;BJJ9CAZGrXV' style='vertical-align: top; font-weight: bold; width: 50%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='BJJ9CAs3n1I'>
            <td id='s:BJJ9CAs3n1I;BJJ9CACqXAb' style='vertical-align: top;'>x-amz-pay-idempotency-key<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:BJJ9CAs3n1I;BJJ9CAvV4ia' style='vertical-align: top;'>Header
                <br /></td>
            <td id='s:BJJ9CAs3n1I;BJJ9CAZGrXV' style='vertical-align: top;'><a href="../amazon-pay-api-v2/v1-idempotency.md">Idempotency key</a> to safely retry requests
                <br /></td>
        </tr>
        <tr id='BJJ9CAkrj2o'>
            <td id='s:BJJ9CAkrj2o;BJJ9CACqXAb' style='vertical-align: top;'>chargePermissionId<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:BJJ9CAkrj2o;BJJ9CAvV4ia' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CAkrj2o;BJJ9CAZGrXV' style='vertical-align: top;'>Charge Permission identifier
                <br /></td>
        </tr>
        <tr id='BJJ9CALYPtl'>
            <td id='s:BJJ9CALYPtl;BJJ9CACqXAb' style='vertical-align: top;'>chargeAmount<br><b>(required)</b><br><br>Type: <a href="../amazon-pay-api-v2/v1-charge.md">price</a>
                <br /></td>
            <td id='s:BJJ9CALYPtl;BJJ9CAvV4ia' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CALYPtl;BJJ9CAZGrXV' style='vertical-align: top;'>Transaction amount
                <br /></td>
        </tr>
        <tr id='BJJ9CADTXMH'>
            <td id='s:BJJ9CADTXMH;BJJ9CACqXAb' style='vertical-align: top;'>captureNow<br><br>Type: boolean
                <br /></td>
            <td id='s:BJJ9CADTXMH;BJJ9CAvV4ia' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CADTXMH;BJJ9CAZGrXV' style='vertical-align: top;'>Boolean that indicates whether or not Charge should be captured immediately after a successful authorization<br><br>Default: false
                <br /></td>
        </tr>
        <tr id='BJJ9CAh1kgO'>
            <td id='s:BJJ9CAh1kgO;BJJ9CACqXAb' style='vertical-align: top;'>softDescriptor<br><br>Type: string
                <br /></td>
            <td id='s:BJJ9CAh1kgO;BJJ9CAvV4ia' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CAh1kgO;BJJ9CAZGrXV' style='vertical-align: top;'>Description shown on the buyer payment instrument statement, if <code>CaptureNow</code> is set to true. Do not set this value if <code>CaptureNow</code> is set to false<br><br>The soft descriptor sent to the payment processor is: "AMZ* &lt;soft descriptor specified here&gt;" <br><br>Max length: 16 characters
                <br /></td>
        </tr>
        <tr id='BJJ9CAesFes'>
            <td id='s:BJJ9CAesFes;BJJ9CACqXAb' style='vertical-align: top;'>canHandlePendingAuthorization<br><br>Type: boolean
                <br /></td>
            <td id='s:BJJ9CAesFes;BJJ9CAvV4ia' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CAesFes;BJJ9CAZGrXV' style='vertical-align: top;'>Boolean that indicates whether or not merchant can handle pending response<br><br>See <a href="../amazon-pay-checkout/v1-asynchronous-processing.md">asynchronous processing</a> for more info
                <br /></td>
        </tr>
        <tr id='BJJ9CAUjUHL'>
            <td id='s:BJJ9CAUjUHL;BJJ9CACqXAb' style='vertical-align: top;'>providerMetadata<br><br>Type: <a href="../amazon-pay-api-v2/v1-charge.md#type-providermetadata">providerMetadata</a>
                <br /></td>
            <td id='s:BJJ9CAUjUHL;BJJ9CAvV4ia' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CAUjUHL;BJJ9CAZGrXV' style='vertical-align: top;'>Payment service provider (PSP)-provided order details<br><br>Only PSPs should use these fields
                <br /></td>
        </tr>
    </tbody>
</table>

#### Response

```
{
     "chargeId": "P21-1111111-1111111-C111111",
     "chargePermissionId": "P21-1111111-1111111",
     "chargeAmount": {
         "amount": "14.00",
         "currencyCode": "USD"
     },
     "captureAmount": {
         "amount": "14.00",
         "currencyCode": "USD"
     },
     "refundedAmount": {
         "amount": "0.00",
         "currencyCode": "USD"
     },
     "convertedAmount": "14.00",
     "conversionRate": "1.00",
     "softDescriptor": "Descriptor",
     "providerMetadata": {
         "providerReferenceId": null
     },
     "statusDetail": {
         "state": "Captured",
         "reasonCode":null,
         "reasonDescription": null,
         "lastUpdatedTimestamp": "20190714T155300Z"
     },
     "creationTimestamp": "20190714T155300Z",
     "expirationTimestamp": "20190715T155300Z"
}
```

***

### Deferred captures 

Prerequisite: You must have a `ChargeId` for a Charge object in the Authorized state. A Charge is created each time you attempt to charge the buyer.

<table width="100%" border="1">
    <tbody>
        <tr id='BJJ9CAcSn5F'>
            <td id='s:BJJ9CAcSn5F;BJJ9CAZe7y0' style='text-align: left;vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Charge State
                <br /></td>
            <td id='s:BJJ9CAcSn5F;BJJ9CAq5AFa' style='text-align: left;vertical-align: top; font-weight: bold; width: 70%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='BJJ9CA1RE3c'>
            <td id='s:BJJ9CA1RE3c;BJJ9CAZe7y0' style='text-align: left;vertical-align: top;'>Within 7 days 
                <br /></td>
            <td id='s:BJJ9CA1RE3c;BJJ9CAq5AFa' style='vertical-align: top;'>Capture request is processed synchronously. Charge will be in a Captured state, see Charge state explanation below for more info.
                <br /></td>
        </tr>
        <tr id='BJJ9CA5tWYw'>
            <td id='s:BJJ9CA5tWYw;BJJ9CAZe7y0' style='text-align: left;vertical-align: top;'>After 7 days
                <br /></td>
            <td id='s:BJJ9CA5tWYw;BJJ9CAq5AFa' style='vertical-align: top;'>Capture request is processed asynchronously. Charge will be in a CaptureInitiated state, see Charge state explanation below for more info.
                <br /></td>
        </tr>
        <tr id='BJJ9CAZqlb2'>
            <td id='s:BJJ9CAZqlb2;BJJ9CAZe7y0' style='text-align: left;vertical-align: top;'>After 30 days
                <br /></td>
            <td id='s:BJJ9CAZqlb2;BJJ9CAq5AFa' style='vertical-align: top;'>Charge has expired after 30 days in Authorized state. Charge is in a Canceled state and you can no longer capture funds using this Charge<br><br>Attempt to create a new Charge if Charge Permission is in a Chargeable state. Otherwise, contact the buyer to have them checkout again or set up an alternative form of payment
                <br /></td>
        </tr>
    </tbody>
</table>

#### Charge state explanation

<table width="100%" border="1">
    <tbody>
        <tr id='BJJ9CAO8Ndb'>
            <td id='s:BJJ9CAO8Ndb;BJJ9CA5yPso' style='text-align: left;vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Charge State
                <br /></td>
            <td id='s:BJJ9CAO8Ndb;BJJ9CAa9BBp' style='text-align: left;vertical-align: top; font-weight: bold; width: 70%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='BJJ9CAP69Eq'>
            <td id='s:BJJ9CAP69Eq;BJJ9CA5yPso' style='text-align: left;vertical-align: top;'>AuthorizationInitiated
                <br /></td>
            <td id='s:BJJ9CAP69Eq;BJJ9CAa9BBp' style='vertical-align: top;'>Authorization is pending. See <a href="../amazon-pay-checkout/v1-asynchronous-processing.md">Asynchronous processing</a> section for more info.
                <br /></td>
        </tr>
        <tr id='BJJ9CANqaKp'>
            <td id='s:BJJ9CANqaKp;BJJ9CA5yPso' style='text-align: left;vertical-align: top;'>Authorized
                <br /></td>
            <td id='s:BJJ9CANqaKp;BJJ9CAa9BBp' style='vertical-align: top;'>Payment was successfully authorized. See <a href="../amazon-pay-checkout/v1-deferred-transactions.md">Deferred transactions</a> for more info.
                <br /></td>
        </tr>
        <tr id='BJJ9CAYmwS7'>
            <td id='s:BJJ9CAYmwS7;BJJ9CA5yPso' style='text-align: left;vertical-align: top;'>CaptureInitiated
                <br /></td>
            <td id='s:BJJ9CAYmwS7;BJJ9CAa9BBp' style='vertical-align: top;'>Payment was successfully authorized and capture is pending. See <a href="../amazon-pay-checkout/v1-asynchronous-processing.md">Asynchronous processing</a> section for more info.
                <br /></td>
        </tr>
        <tr id='BJJ9CAmlafV'>
            <td id='s:BJJ9CAmlafV;BJJ9CA5yPso' style='text-align: left;vertical-align: top;'>Captured
                <br /></td>
            <td id='s:BJJ9CAmlafV;BJJ9CAa9BBp' style='vertical-align: top;'>Payment was successfully authorized and captured
                <br /></td>
        </tr>
        <tr id='BJJ9CAJAM75'>
            <td id='s:BJJ9CAJAM75;BJJ9CA5yPso' style='text-align: left;vertical-align: top;'>Declined
                <br /></td>
            <td id='s:BJJ9CAJAM75;BJJ9CAa9BBp' style='vertical-align: top;'>Payment was declined. See <a href="../amazon-pay-api-v2/v1-charge.md">Charge declined state reason code</a> for more info. You should reengage the buyer and ask them to go through checkout again.
            </td>
        </tr>
    </tbody>
</table>

#### Request 

```
curl "https://pay-api.amazon.com/:environment/:version/charges/:chargeId/capture" \
-X POST
-H "x-amz-pay-idempotency-key: AVLo5tI10BHgEk2jEXAMPLEKEY"
-H "x-amz-pay-authorization: Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"
-d @request_body
```

#### Request body 

```
{
    "captureAmount": {
        "amount": "14.00",
        "currencyCode": "USD"
    },
    "softDescriptor": "Descriptor"
}
```



#### Request parameters 

<table width="100%" border="1">
    <tbody>
        <tr id='BJJ9CAc16ag'>
            <td id='s:BJJ9CAc16ag;BJJ9CAtxGxF' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Name
                <br /></td>
            <td id='s:BJJ9CAc16ag;BJJ9CAG76LR' style='vertical-align: top; font-weight: bold; width: 20%;' class='bold'>Location
                <br /></td>
            <td id='s:BJJ9CAc16ag;BJJ9CAm2xY3' style='vertical-align: top; font-weight: bold; width: 70%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='BJJ9CADbWkR'>
            <td id='s:BJJ9CADbWkR;BJJ9CAtxGxF' style='vertical-align: top;'>x-amz-pay-idempotency-key<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:BJJ9CADbWkR;BJJ9CAG76LR' style='vertical-align: top;'>Header
                <br /></td>
            <td id='s:BJJ9CADbWkR;BJJ9CAm2xY3' style='vertical-align: top;'><a href="../amazon-pay-api-v2/v1-idempotency.md">Idempotency key</a> to safely retry requests
                <br /></td>
        </tr>
        <tr id='BJJ9CAnDbAw'>
            <td id='s:BJJ9CAnDbAw;BJJ9CAtxGxF' style='vertical-align: top;'>chargeId<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:BJJ9CAnDbAw;BJJ9CAG76LR' style='vertical-align: top;'>Path Parameter
                <br /></td>
            <td id='s:BJJ9CAnDbAw;BJJ9CAm2xY3' style='vertical-align: top;'>Charge identifier
                <br /></td>
        </tr>
        <tr id='BJJ9CAMcgBm'>
            <td id='s:BJJ9CAMcgBm;BJJ9CAtxGxF' style='vertical-align: top;'>captureAmount<br><b>(required)</b><br><br>Type: <a href="../amazon-pay-api-v2/v1-charge.md">price</a>
                <br /></td>
            <td id='s:BJJ9CAMcgBm;BJJ9CAG76LR' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CAMcgBm;BJJ9CAm2xY3' style='vertical-align: top;'>Amount to capture
                <br /></td>
        </tr>
        <tr id='BJJ9CAtZpCp'>
            <td id='s:BJJ9CAtZpCp;BJJ9CAtxGxF' style='vertical-align: top;'>softDescriptor<br><br>Type: string
                <br /></td>
            <td id='s:BJJ9CAtZpCp;BJJ9CAG76LR' style='vertical-align: top;'>Body
                <br /></td>
            <td id='s:BJJ9CAtZpCp;BJJ9CAm2xY3' style='vertical-align: top;'>Description shown on the buyer's payment instrument statement<br><br>The soft descriptor sent to the payment processor is: "AMZ* &lt;soft descriptor specified here&gt;"<br><br>Max length: 16 characters
                <br /></td>
        </tr>
    </tbody>
</table>

#### Response

```
{
     "chargeId": "P21-1111111-1111111-C111111",
     "chargePermissionId": "P21-1111111-1111111",
     "chargeAmount": {
         "amount": "14.00",
         "currencyCode": "USD"
     },
     "captureAmount": {
         "amount": "14.00",
         "currencyCode": "USD"
     },
     "refundedAmount": {
         "amount": "0.00",
         "currencyCode": "USD"
     },
     "convertedAmount": "14.00",
     "conversionRate": "1.00",
     "softDescriptor": "Descriptor",
     "providerMetadata": {
         "providerReferenceId": null
     },
     "statusDetail":{
         "state": "Captured",
         "reasonCode": null,
         "reasonDescription": null,
         "lastUpdatedTimestamp": "20190714T155300Z"
     },
     "creationTimestamp": "20190714T155300Z",
     "expirationTimestamp": "20190715T155300Z"
}
```







